Index: /palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4509)
+++ /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4510)
@@ -4317,38 +4227,44 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Diffusion and dissipation terms for the TKE.
 !> Cache-optimized version
-!> @todo Try to avoid the usage of the 3d-array 'diss' where possible (case les
-!>       and rans_tke_l if not wang_kernel, use_sgs_for_particles, or
-!>       collision_turbulence).
-!------------------------------------------------------------------------------!
+!> @todo Try to avoid the usage of the 3d-array 'diss' where possible (case les and rans_tke_l if
+!>  not wang_kernel, use_sgs_for_particles, or collision_turbulence).
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE diffusion_e_ij( i, j, var, var_reference )
 
-    USE arrays_3d,                                                             &
-        ONLY:  dd2zu, ddzu, ddzw, drho_air, rho_air_zw
-
-    USE control_parameters,                                                    &
-        ONLY:  atmos_ocean_sign, use_single_reference_value
-
-    USE grid_variables,                                                        &
-        ONLY:  ddx2, ddy2
-
-    USE bulk_cloud_model_mod,                                                  &
+    USE arrays_3d,                                                                                 &
+        ONLY:  dd2zu,                                                                              &
+               ddzu,                                                                               &
+               ddzw,                                                                               &
+               drho_air,                                                                           &
+               rho_air_zw
+
+    USE control_parameters,                                                                        &
+        ONLY:  atmos_ocean_sign,                                                                   &
+               use_single_reference_value
+
+    USE grid_variables,                                                                            &
+        ONLY:  ddx2,                                                                               &
+               ddy2
+
+    USE bulk_cloud_model_mod,                                                                      &
         ONLY:  collision_turbulence
 
-    USE particle_attributes,                                                   &
-        ONLY:  use_sgs_for_particles, wang_kernel
+    USE particle_attributes,                                                                       &
+        ONLY:  use_sgs_for_particles,                                                              &
+               wang_kernel
 
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i              !< running index x direction
-    INTEGER(iwp) ::  j              !< running index y direction
-    INTEGER(iwp) ::  k              !< running index z direction
-    INTEGER(iwp) ::  m              !< running index surface elements
-    INTEGER(iwp) ::  surf_e         !< End index of surface elements at (j,i)-gridpoint
-    INTEGER(iwp) ::  surf_s         !< Start index of surface elements at (j,i)-gridpoint
+    INTEGER(iwp) ::  i       !< running index x direction
+    INTEGER(iwp) ::  j       !< running index y direction
+    INTEGER(iwp) ::  k       !< running index z direction
+    INTEGER(iwp) ::  m       !< running index surface elements
+    INTEGER(iwp) ::  surf_e  !< End index of surface elements at (j,i)-gridpoint
+    INTEGER(iwp) ::  surf_s  !< Start index of surface elements at (j,i)-gridpoint
 
     REAL(wp)     ::  duv2_dz2       !< squared vertical gradient of wind vector
@@ -4371,9 +4287,9 @@
           IF ( dvar_dz > 0.0_wp ) THEN
              IF ( use_single_reference_value )  THEN
-                ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) )              &
-                            / SQRT( g / var_reference * dvar_dz ) + 1E-5_wp
+                ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) )                                  &
+                                       / SQRT( g / var_reference * dvar_dz ) + 1E-5_wp
              ELSE
-                ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) )              &
-                            / SQRT( g / var(k,j,i) * dvar_dz ) + 1E-5_wp
+                ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) )                                  &
+                                       / SQRT( g / var(k,j,i) * dvar_dz ) + 1E-5_wp
              ENDIF
           ELSE
@@ -4386,6 +4302,6 @@
           ml  = MIN( delta(k,j,i), ml_stratification(k) )
 
-          diss(k,j,i) = ( 0.19_wp + 0.74_wp * ml / delta(k,j,i) )                      &
-                        * e(k,j,i) * SQRT( e(k,j,i) ) / ml                             &
+          diss(k,j,i) = ( 0.19_wp + 0.74_wp * ml / delta(k,j,i) )                                  &
+                        * e(k,j,i) * SQRT( e(k,j,i) ) / ml                                         &
                         * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
        ENDDO
@@ -4397,16 +4313,15 @@
           IF ( dvar_dz > 0.0_wp ) THEN
 !
-!--          The mixing length is calculated as 1/l = 1/(kappa*z) + 1/Lb, where Lb is
-!--          the stratification term. 1E-5 is added as l is zero at the beginning of
-!--          the simulation.
+!--          The mixing length is calculated as 1/l = 1/(kappa*z) + 1/Lb, where Lb is the
+!--          stratification term. 1E-5 is added as l is zero at the beginning of the simulation.
              IF ( use_single_reference_value )  THEN
-                ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) )                           &
+                ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) )                                  &
                                        / SQRT( g / var_reference * dvar_dz ) + 1E-5_wp
              ELSE
-                ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) )                           &
+                ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) )                                  &
                                        / SQRT( g / var(k,j,i) * dvar_dz ) + 1E-5_wp
              ENDIF
 
-             ml_stratification(k) = 1.0_wp / ( 1.0_wp / ( kappa * distance_to_wall(k,j,i) ) &
+             ml_stratification(k) = 1.0_wp / ( 1.0_wp / ( kappa * distance_to_wall(k,j,i) )        &
                                              + 1.0_wp / ml_stratification(k) )
 
@@ -4420,6 +4335,6 @@
           ml  = ml_stratification(k)
 
-          diss(k,j,i) = ( 0.19_wp + 0.74_wp * ml / delta(k,j,i) )                      &
-                        * e(k,j,i) * SQRT( e(k,j,i) ) / ml                             &
+          diss(k,j,i) = ( 0.19_wp + 0.74_wp * ml / delta(k,j,i) )                                  &
+                        * e(k,j,i) * SQRT( e(k,j,i) ) / ml                                         &
                         * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
        ENDDO
@@ -4438,7 +4353,6 @@
              dvar_dz = atmos_ocean_sign * ( var(k+1,j,i) - var(k-1,j,i) ) * dd2zu(k)
 
-             duv2_dz2 =   ( ( u(k+1,j,i) - u(k-1,j,i) ) * dd2zu(k) )**2           &
-                        + ( ( v(k+1,j,i) - v(k-1,j,i) ) * dd2zu(k) )**2           &
-                        + 1E-30_wp
+             duv2_dz2 = ( ( u(k+1,j,i) - u(k-1,j,i) ) * dd2zu(k) )**2                              &
+                      + ( ( v(k+1,j,i) - v(k-1,j,i) ) * dd2zu(k) )**2 + 1E-30_wp
 
              rif(k) = MIN( MAX( g / var_reference * dvar_dz / duv2_dz2, -5.0_wp ),  1.0_wp )
@@ -4448,7 +4362,6 @@
              dvar_dz = atmos_ocean_sign * ( var(k+1,j,i) - var(k-1,j,i) ) * dd2zu(k)
 
-             duv2_dz2 =   ( ( u(k+1,j,i) - u(k-1,j,i) ) * dd2zu(k) )**2           &
-                        + ( ( v(k+1,j,i) - v(k-1,j,i) ) * dd2zu(k) )**2           &
-                        + 1E-30_wp
+             duv2_dz2 = ( ( u(k+1,j,i) - u(k-1,j,i) ) * dd2zu(k) )**2                              &
+                      + ( ( v(k+1,j,i) - v(k-1,j,i) ) * dd2zu(k) )**2 + 1E-30_wp
 
              rif(k) = MIN( MAX( g / var(k,j,i) * dvar_dz / duv2_dz2, -5.0_wp ), 1.0_wp )
@@ -4468,11 +4381,10 @@
        !DIR$ IVDEP
        DO  k = nzb+1, nzt
-          diss(k,j,i) = c_0**3 * e(k,j,i) * SQRT( e(k,j,i) )                         &
-                      / MIN( ml_stratification(k), delta(k,j,i) )                    &
+          diss(k,j,i) = c_0**3 * e(k,j,i) * SQRT( e(k,j,i) )                                       &
+                      / MIN( ml_stratification(k), delta(k,j,i) )                                  &
                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
        ENDDO
 
-!-- Note, in case of rans_tke_e, the dissipation is already calculated
-!-- in prognostic_equations
+!-- Note, in case of rans_tke_e, the dissipation is already calculated in prognostic_equations
     ENDIF
 
@@ -4482,36 +4394,29 @@
     DO  k = nzb+1, nzt
 
-       tend(k,j,i) = tend(k,j,i) + (                                           &
-                                      (                                        &
-                      ( km(k,j,i)+km(k,j,i+1) ) * ( e(k,j,i+1)-e(k,j,i) )      &
-                    - ( km(k,j,i)+km(k,j,i-1) ) * ( e(k,j,i)-e(k,j,i-1) )      &
-                                      ) * ddx2                                 &
-                                    + (                                        &
-                      ( km(k,j,i)+km(k,j+1,i) ) * ( e(k,j+1,i)-e(k,j,i) )      &
-                    - ( km(k,j,i)+km(k,j-1,i) ) * ( e(k,j,i)-e(k,j-1,i) )      &
-                                      ) * ddy2                                 &
-                                    + (                                        &
-           ( km(k,j,i)+km(k+1,j,i) ) * ( e(k+1,j,i)-e(k,j,i) ) * ddzu(k+1)     &
-                                                         * rho_air_zw(k)       &
-         - ( km(k,j,i)+km(k-1,j,i) ) * ( e(k,j,i)-e(k-1,j,i) ) * ddzu(k)       &
-                                                         * rho_air_zw(k-1)     &
-                                      ) * ddzw(k) * drho_air(k)                &
-                                   ) * dsig_e                                  &
-                                     * MERGE( 1.0_wp, 0.0_wp,                  &
-                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )&
-                                 - diss(k,j,i)
+       tend(k,j,i) = tend(k,j,i) + ( ( ( km(k,j,i)+km(k,j,i+1) ) * ( e(k,j,i+1)-e(k,j,i) )         &
+                                     - ( km(k,j,i)+km(k,j,i-1) ) * ( e(k,j,i)-e(k,j,i-1) )         &
+                                     ) * ddx2                                                      &
+                                   + ( ( km(k,j,i)+km(k,j+1,i) ) * ( e(k,j+1,i)-e(k,j,i) )         &
+                                     - ( km(k,j,i)+km(k,j-1,i) ) * ( e(k,j,i)-e(k,j-1,i) )         &
+                                     ) * ddy2                                                      &
+                                   + ( ( km(k,j,i)+km(k+1,j,i) ) * ( e(k+1,j,i)-e(k,j,i) )         &
+                                         * ddzu(k+1) * rho_air_zw(k)                               &
+                                     - ( km(k,j,i)+km(k-1,j,i) ) * ( e(k,j,i)-e(k-1,j,i) )         &
+                                         * ddzu(k) * rho_air_zw(k-1) ) * ddzw(k) * drho_air(k)     &
+                                   ) * dsig_e * MERGE( 1.0_wp, 0.0_wp,                             &
+                                                BTEST( wall_flags_total_0(k,j,i), 0 ) )            &
+                     - diss(k,j,i)
 
     ENDDO
 
 !
-!-- Set boundary conditions of dissipation if needed for calculating the sgs
-!-- particle velocities.
+!-- Set boundary conditions of dissipation if needed for calculating the sgs particle velocities.
 !-- Neumann boundary condition for dissipation diss(nzb,:,:) = diss(nzb+1,:,:)
-!-- For each surface type determine start and end index (in case of elevated
-!-- topography several up/downward facing surfaces may exist.
-!-- Note, bc cannot be set in tcm_boundary conditions as the dissipation
-!-- in LES mode is only a diagnostic quantity.
-    IF ( .NOT. rans_tke_e .AND.  ( use_sgs_for_particles  .OR.  wang_kernel    &
-          .OR.  collision_turbulence ) )  THEN
+!-- For each surface type determine start and end index (in case of elevated topography several
+!-- up/downward facing surfaces may exist.
+!-- Note, bc cannot be set in tcm_boundary conditions as the dissipation in LES mode is only a
+!-- diagnostic quantity.
+    IF ( .NOT. rans_tke_e  .AND.                                                                   &
+         ( use_sgs_for_particles  .OR.  wang_kernel  .OR.  collision_turbulence ) )  THEN
        surf_s = bc_h(0)%start_index(j,i)
        surf_e = bc_h(0)%end_index(j,i)
@@ -4533,24 +4438,28 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Diffusion term for the TKE dissipation rate
 !> Vector-optimized version
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE diffusion_diss
-    USE arrays_3d,                                                             &
-        ONLY:  ddzu, ddzw, drho_air, rho_air_zw
-
-    USE grid_variables,                                                        &
-        ONLY:  ddx2, ddy2
+    USE arrays_3d,                                                                                 &
+        ONLY:  ddzu,                                                                               &
+               ddzw,                                                                               &
+               drho_air,                                                                           &
+               rho_air_zw
+
+    USE grid_variables,                                                                            &
+        ONLY:  ddx2,                                                                               &
+               ddy2
 
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i              !< running index x direction
-    INTEGER(iwp) ::  j              !< running index y direction
-    INTEGER(iwp) ::  k              !< running index z direction
-
-    REAL(wp)     ::  flag           !< flag to mask topography
+    INTEGER(iwp) ::  i  !< running index x direction
+    INTEGER(iwp) ::  j  !< running index y direction
+    INTEGER(iwp) ::  k  !< running index z direction
+
+    REAL(wp)     ::  flag  !< flag to mask topography
 
 !
@@ -4564,22 +4473,15 @@
              flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
-             tend(k,j,i) = tend(k,j,i) +                                       &
-                         (       (                                             &
-                 ( km(k,j,i)+km(k,j,i+1) ) * ( diss(k,j,i+1)-diss(k,j,i) )     &
-               - ( km(k,j,i)+km(k,j,i-1) ) * ( diss(k,j,i)-diss(k,j,i-1) )     &
-                                 ) * ddx2                                      &
-                               + (                                             &
-                 ( km(k,j,i)+km(k,j+1,i) ) * ( diss(k,j+1,i)-diss(k,j,i) )     &
-               - ( km(k,j,i)+km(k,j-1,i) ) * ( diss(k,j,i)-diss(k,j-1,i) )     &
-                                 ) * ddy2                                      &
-                               + (                                             &
-      ( km(k,j,i)+km(k+1,j,i) ) * ( diss(k+1,j,i)-diss(k,j,i) ) * ddzu(k+1)    &
-                                                    * rho_air_zw(k)            &
-    - ( km(k,j,i)+km(k-1,j,i) ) * ( diss(k,j,i)-diss(k-1,j,i) ) * ddzu(k)      &
-                                                    * rho_air_zw(k-1)          &
-                                 ) * ddzw(k) * drho_air(k)                     &
-                         ) * flag * dsig_diss                                  &
-                         - c_2 * diss(k,j,i)**2                                &
-                               / ( e(k,j,i) + 1.0E-20_wp ) * flag
+             tend(k,j,i) = tend(k,j,i) +                                                           &
+                           ( ( ( km(k,j,i)+km(k,j,i+1) ) * ( diss(k,j,i+1)-diss(k,j,i) )           &
+                             - ( km(k,j,i)+km(k,j,i-1) ) * ( diss(k,j,i)-diss(k,j,i-1) ) ) * ddx2  &
+                           + ( ( km(k,j,i)+km(k,j+1,i) ) * ( diss(k,j+1,i)-diss(k,j,i) )           &
+                             - ( km(k,j,i)+km(k,j-1,i) ) * ( diss(k,j,i)-diss(k,j-1,i) ) ) * ddy2  &
+                           + ( ( km(k,j,i)+km(k+1,j,i) ) * ( diss(k+1,j,i)-diss(k,j,i) )           &
+                               * ddzu(k+1) * rho_air_zw(k)                                         &
+                             - ( km(k,j,i)+km(k-1,j,i) ) * ( diss(k,j,i)-diss(k-1,j,i) ) * ddzu(k) &
+                               * rho_air_zw(k-1) ) * ddzw(k) * drho_air(k)                         &
+                           )  * flag * dsig_diss - c_2 * diss(k,j,i)**2                            &
+                              / ( e(k,j,i) + 1.0E-20_wp ) * flag
 
           ENDDO
@@ -4590,25 +4492,29 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Diffusion term for the TKE dissipation rate
 !> Cache-optimized version
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE diffusion_diss_ij( i, j )
 
-    USE arrays_3d,                                                             &
-        ONLY:  ddzu, ddzw, drho_air, rho_air_zw
-
-    USE grid_variables,                                                        &
-        ONLY:  ddx2, ddy2
+    USE arrays_3d,                                                                                 &
+        ONLY:  ddzu,                                                                               &
+               ddzw,                                                                               &
+               drho_air,                                                                           &
+               rho_air_zw
+
+    USE grid_variables,                                                                            &
+        ONLY:  ddx2,                                                                               &
+               ddy2
 
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i         !< running index x direction
-    INTEGER(iwp) ::  j         !< running index y direction
-    INTEGER(iwp) ::  k         !< running index z direction
-
-    REAL(wp)     ::  flag      !< flag to mask topography
+    INTEGER(iwp) ::  i  !< running index x direction
+    INTEGER(iwp) ::  j  !< running index y direction
+    INTEGER(iwp) ::  k  !< running index z direction
+
+    REAL(wp)     ::  flag  !< flag to mask topography
 
 !
@@ -4622,21 +4528,15 @@
 !
 !--    Calculate the tendency term
-       tend(k,j,i) =  tend(k,j,i) +                                            &
-                   (            (                                              &
-                ( km(k,j,i)+km(k,j,i+1) ) * ( diss(k,j,i+1)-diss(k,j,i) )      &
-              - ( km(k,j,i)+km(k,j,i-1) ) * ( diss(k,j,i)-diss(k,j,i-1) )      &
-                                ) * ddx2                                       &
-                              + (                                              &
-                ( km(k,j,i)+km(k,j+1,i) ) * ( diss(k,j+1,i)-diss(k,j,i) )      &
-              - ( km(k,j,i)+km(k,j-1,i) ) * ( diss(k,j,i)-diss(k,j-1,i) )      &
-                                ) * ddy2                                       &
-                              + (                                              &
-     ( km(k,j,i)+km(k+1,j,i) ) * ( diss(k+1,j,i)-diss(k,j,i) ) * ddzu(k+1)     &
-                                                   * rho_air_zw(k)             &
-   - ( km(k,j,i)+km(k-1,j,i) ) * ( diss(k,j,i)-diss(k-1,j,i) ) * ddzu(k)       &
-                                                   * rho_air_zw(k-1)           &
-                                ) * ddzw(k) * drho_air(k)                      &
-                   ) * flag * dsig_diss                                        &
-                   - c_2 * diss(k,j,i)**2 / ( e(k,j,i) + 1.0E-20_wp ) * flag
+       tend(k,j,i) =  tend(k,j,i) +                                                                &
+                      ( ( ( km(k,j,i)+km(k,j,i+1) ) * ( diss(k,j,i+1)-diss(k,j,i) )                &
+                        - ( km(k,j,i)+km(k,j,i-1) ) * ( diss(k,j,i)-diss(k,j,i-1) ) ) * ddx2       &
+                      + ( ( km(k,j,i)+km(k,j+1,i) ) * ( diss(k,j+1,i)-diss(k,j,i) )                &
+                        - ( km(k,j,i)+km(k,j-1,i) ) * ( diss(k,j,i)-diss(k,j-1,i) ) ) * ddy2       &
+                      + ( ( km(k,j,i)+km(k+1,j,i) ) * ( diss(k+1,j,i)-diss(k,j,i) )                &
+                          * ddzu(k+1) * rho_air_zw(k)                                              &
+                        - ( km(k,j,i)+km(k-1,j,i) ) * ( diss(k,j,i)-diss(k-1,j,i) )                &
+                          * ddzu(k) * rho_air_zw(k-1) ) * ddzw(k) * drho_air(k)                    &
+                      )  * flag * dsig_diss - c_2 * diss(k,j,i)**2 / ( e(k,j,i) + 1.0E-20_wp )     &
+                         * flag
 
     ENDDO
@@ -4645,27 +4545,30 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Computation of the turbulent diffusion coefficients for momentum and heat.
 !> @bug unstable stratification is not properly considered for kh in rans mode.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE tcm_diffusivities( var, var_reference )
 
-    USE control_parameters,                                                    &
-        ONLY:  bc_radiation_l, bc_radiation_n, bc_radiation_r, bc_radiation_s, &
+    USE control_parameters,                                                                        &
+        ONLY:  bc_radiation_l,                                                                     &
+               bc_radiation_n,                                                                     &
+               bc_radiation_r,                                                                     &
+               bc_radiation_s,                                                                     &
                e_min
 
-    USE exchange_horiz_mod,                                                    &
+    USE exchange_horiz_mod,                                                                        &
         ONLY:  exchange_horiz
 
-    USE surface_layer_fluxes_mod,                                              &
+    USE surface_layer_fluxes_mod,                                                                  &
         ONLY:  phi_m
 
-    INTEGER(iwp) ::  i          !< loop index
-    INTEGER(iwp) ::  j          !< loop index
-    INTEGER(iwp) ::  k          !< loop index
-    INTEGER(iwp) ::  m          !< loop index
-    INTEGER(iwp) ::  n          !< loop index
+    INTEGER(iwp) ::  i  !< loop index
+    INTEGER(iwp) ::  j  !< loop index
+    INTEGER(iwp) ::  k  !< loop index
+    INTEGER(iwp) ::  m  !< loop index
+    INTEGER(iwp) ::  n  !< loop index
 
     REAL(wp) ::  var_reference  !< reference temperature
@@ -4681,5 +4584,5 @@
           DO  j = nysg, nyng
              DO  k = nzb+1, nzt
-                e(k,j,i) = MAX( e(k,j,i), e_min ) *                            &
+                e(k,j,i) = MAX( e(k,j,i), e_min ) *                                                &
                         MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
              ENDDO
@@ -4709,5 +4612,5 @@
           j = surf_def_h(0)%j(m)
           k = surf_def_h(0)%k(m)
-          km(k,j,i) = kappa * surf_def_h(0)%us(m) * surf_def_h(0)%z_mo(m) /    &
+          km(k,j,i) = kappa * surf_def_h(0)%us(m) * surf_def_h(0)%z_mo(m) /                        &
                       phi_m( surf_def_h(0)%z_mo(m) / surf_def_h(0)%ol(m) )
           kh(k,j,i) = 1.35_wp * km(k,j,i)
@@ -4720,5 +4623,5 @@
           j = surf_lsm_h%j(m)
           k = surf_lsm_h%k(m)
-          km(k,j,i) = kappa * surf_lsm_h%us(m) * surf_lsm_h%z_mo(m) /          &
+          km(k,j,i) = kappa * surf_lsm_h%us(m) * surf_lsm_h%z_mo(m) /                              &
                       phi_m( surf_lsm_h%z_mo(m) / surf_lsm_h%ol(m) )
           kh(k,j,i) = 1.35_wp * km(k,j,i)
@@ -4731,5 +4634,5 @@
           j = surf_usm_h%j(m)
           k = surf_usm_h%k(m)
-          km(k,j,i) = kappa * surf_usm_h%us(m) * surf_usm_h%z_mo(m) /          &
+          km(k,j,i) = kappa * surf_usm_h%us(m) * surf_usm_h%z_mo(m) /                              &
                       phi_m( surf_usm_h%z_mo(m) / surf_usm_h%ol(m) )
           kh(k,j,i) = 1.35_wp * km(k,j,i)
@@ -4814,6 +4717,6 @@
 
 !
-!-- Set Neumann boundary conditions at the outflow boundaries in case of
-!-- non-cyclic lateral boundaries
+!-- Set Neumann boundary conditions at the outflow boundaries in case of non-cyclic lateral
+!-- boundaries
     IF ( bc_radiation_l )  THEN
        km(:,:,nxl-1) = km(:,:,nxl)
@@ -4836,20 +4739,22 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Computation of the turbulent diffusion coefficients for momentum and heat
-!> according to Prandtl-Kolmogorov.
-!------------------------------------------------------------------------------!
+!> Computation of the turbulent diffusion coefficients for momentum and heat according to
+!> Prandtl-Kolmogorov.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE tcm_diffusivities_default( var, var_reference )
 
-    USE arrays_3d,                                                             &
+    USE arrays_3d,                                                                                 &
         ONLY:  dd2zu
 
-    USE control_parameters,                                                    &
-        ONLY:  atmos_ocean_sign, use_single_reference_value
-
-    USE statistics,                                                            &
-        ONLY :  rmask, sums_l_l
+    USE control_parameters,                                                                        &
+        ONLY:  atmos_ocean_sign,                                                                   &
+               use_single_reference_value
+
+    USE statistics,                                                                                &
+        ONLY :  rmask,                                                                             &
+                sums_l_l
 
     IMPLICIT NONE
@@ -4901,23 +4806,24 @@
 !
 !--             Determine the mixing length
-!--             @note The following code cannot be transferred to a subroutine
-!--             due to errors when using OpenACC directives. The execution
-!--             crashes reliably if a subroutine is called at this point (the
-!--             reason for this behaviour is unknown, however).
+!--             @note The following code cannot be transferred to a subroutine due to errors when
+!--             using OpenACC directives. The execution crashes reliably if a subroutine is called
+!--             at this point (the reason for this behaviour is unknown, however).
                 dvar_dz = atmos_ocean_sign * ( var(k+1,j,i) - var(k-1,j,i) ) * dd2zu(k)
                 IF ( dvar_dz > 0.0_wp )  THEN
                    IF ( use_single_reference_value )  THEN
-                      ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) )         &
+                      ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) )                            &
 #if defined( __imuk_old )
-                             / SQRT( g / var_reference * ( ABS( dvar_dz ) + 1.0E-10_wp ) ) + 1E-5_wp ! required for intel14
+                                             / SQRT( g / var_reference *                           &
+                                             ( ABS( dvar_dz ) + 1.0E-10_wp ) ) + 1E-5_wp ! required for intel14
 #else
-                                  / SQRT( g / var_reference * dvar_dz ) + 1E-5_wp
+                                             / SQRT( g / var_reference * dvar_dz ) + 1E-5_wp
 #endif
                    ELSE
-                      ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) )         &
+                      ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) )                            &
 #if defined( __imuk_old )
-                             / SQRT( g / var(k,j,i)    * ( ABS( dvar_dz ) + 1.0E-10_wp ) ) + 1E-5_wp ! required for intel14
+                                             / SQRT( g / var(k,j,i) *                              &
+                                             ( ABS( dvar_dz ) + 1.0E-10_wp ) ) + 1E-5_wp ! required for intel14
 #else
-                                  / SQRT( g / var(k,j,i) * dvar_dz ) + 1E-5_wp
+                                             / SQRT( g / var(k,j,i) * dvar_dz ) + 1E-5_wp
 #endif
                    ENDIF
@@ -4932,5 +4838,5 @@
              DO  k = nzb+1, nzt
 
-                ml = MIN( delta(k,j,i), ml_stratification(k) )                    &
+                ml = MIN( delta(k,j,i), ml_stratification(k) )                                     &
                    * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
                 ml_local_profile(k) = ml
